edu.whs.spin2018.baoapp.views.spiel

## Interface BaoSpielContract.View

- All Superinterfaces:
    BaseView<BaoSpielContract.Presenter>
  All Known Implementing Classes:
    BaoSpielActivity
  Enclosing interface:
    BaoSpielContract

      public static interface BaoSpielContract.View
      extends BaseView<BaoSpielContract.Presenter>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aktualisiereMuldenAnzeige(Spielzug spielzug)` Aktualisiert die Darstellungen der Mulden nachdem der Spielzug berechnet wurde.
    `void` | `initialisiereTimerAnzeigen(long millisekunden)` Initialisiert beide Timeranzegen von Beginn an mit der Startzeit.
    `void` | `setzeAktuelleTimerAnzeige(SpielerIndex spielerIndex)` Setzt die Anzeige, die zum aktuellen Timer gehört.
    `void` | `zeigeAktuellenSpieler(SpielerIndex spielerIndex)` Wird aufgerufen falls in der View ein Spielerwechsel angezeigt werden soll.
    `void` | `zeigeGewinnerDialog(java.lang.String gewinnername)` Wird aufgerufen, wenn in der View ein Gewinnerdialog aufgerufen werden soll.
    `void` | `zeigeSpielVerlassenDialog()` Warnt den Spieler, dass er beim vorzeitigen Verlassen des Spieles, das Spiel verliert.
    `void` | `zeigeUebrigeZeit(long uebrigeZeit)` Wird bei jedem Tick des Timers aufgerufen, um die aktuelle Zeit anzuzeigen.

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.views.BaseView

      `initView, setzePresenter`

- - ### Method Detail

    - #### zeigeAktuellenSpieler

          void zeigeAktuellenSpieler(SpielerIndex spielerIndex)

      Wird aufgerufen falls in der View ein Spielerwechsel angezeigt werden soll.
      Parameters:
        `spielerIndex` - der Name des Spielers der jetzt am Zug ist.

    - #### zeigeGewinnerDialog

          void zeigeGewinnerDialog(java.lang.String gewinnername)

      Wird aufgerufen, wenn in der View ein Gewinnerdialog aufgerufen werden soll.
      Parameters:
        `gewinnername` - der Name des Gewinners

    - #### aktualisiereMuldenAnzeige

          void aktualisiereMuldenAnzeige(Spielzug spielzug)

      Aktualisiert die Darstellungen der Mulden nachdem der Spielzug berechnet wurde.
      Parameters:
        `spielzug` - der komplett ausgeführte Spielzug

    - #### zeigeUebrigeZeit

          void zeigeUebrigeZeit(long uebrigeZeit)

      Wird bei jedem Tick des Timers aufgerufen, um die aktuelle Zeit anzuzeigen.
      Parameters:
        `uebrigeZeit` -

    - #### setzeAktuelleTimerAnzeige

          void setzeAktuelleTimerAnzeige(SpielerIndex spielerIndex)

      Setzt die Anzeige, die zum aktuellen Timer gehört.
      Parameters:
        `spielerIndex` -

    - #### initialisiereTimerAnzeigen

          void initialisiereTimerAnzeigen(long millisekunden)

      Initialisiert beide Timeranzegen von Beginn an mit der Startzeit.
      Parameters:
        `millisekunden` -

    - #### zeigeSpielVerlassenDialog

          void zeigeSpielVerlassenDialog()

      Warnt den Spieler, dass er beim vorzeitigen Verlassen des Spieles, das Spiel verliert.